function Tig(){}
function Zig(){}
function Jig(a){this.a=a}
function Lig(a){this.a=a}
function Xig(a){this.a=a}
function Sig(a,b){j_f(a.a,b)}
function njg(a){var b;if(!a.d){b=new Tig;a.d=b}return a.d}
function Vig(){ape.call(this,s$j,'Persistence Inheritance')}
function Eig(a){var b;b=lBh(a.b.a,Evf(),uM(t1c,Fxj,1,[]));h8i(Z7i(b,BGj),w_j);Ynj(new onj(b),new Jig(a))}
function Gig(a,b,d,e){yGd.call(this,a,b,d);this.c=e;this.b=new x0i(NLb,(wBh(),rBh).Nc(NLb),vBh.Nc(NLb));this.a=new M0i(NLb)}
function mjg(a){var b;if(!a.c){b=new Gig(IFd(zce(a.a)),njg(a),ljg(a),(loj(fee(a.a)),AMg(tde(a.a))),y1i(dee(a.a)));UFd((Ace(a.a),b),RGd(Ace(a.a)));a.c=b}return a.c}
function Fig(a,b){var d;d=B0i(a.a,b,lBh(a.b.a,Evf(),uM(t1c,Fxj,1,[])),uM(m2c,xxj,280,[]));if(b.Kc(yMj)&&Ch(b.Nc(yMj),cAj)){b.Qc(yMj);n8i(Z7i(d,zMj),(tmj(),smj))}Ynj(new onj(d),new Lig(a))}
function Iig(a,b){var d,e;e=Snj(b);if(e.b.mN(YGj)&&Z7i(e,YGj).b.b!=(tmj(),smj)&&!IPd(Z7i(e,YGj).b.cf(),ZGj)){IYd(B_j+(DYd(),'Loading JPA Subsystem'))}else{d=C0i(a.a.a,Z7i(e,KGj).b.eN());Sig(a.a.A,d)}}
C3c(3568,1014,Fyj,Gig);_.Vi=function(){this.A.b=this};_.$i=function(){Eig(this)};_.cj=function(){Hvf(this.c,this)};C3c(3569,1299,{},Jig);_.fh=function(a){Iig(this,a)};C3c(3570,1299,{},Lig);_.fh=function(a){var b;b=Snj(a);b.b.mN(YGj)&&Z7i(b,YGj).b.b!=(tmj(),smj)&&!IPd(Z7i(b,YGj).b.cf(),ZGj)?JYd(H0j+(DYd(),Wck),_7i(b)):KYd(I0j+(DYd(),Wck));Eig(this.a)};C3c(3573,1416,Eyj,Tig);_.Dh=function(){var a,b,d,e,g,i;this.a=new q_f(NLb);a=new aie(yMj,Xck,false);g=new Vig;_oe(g,uM(t1c,Fxj,1,['DEEP','SHALLOW']));y1d(this.a,OGj,uM(k2c,nzj,261,[a,g]));w1d(this.a,false);d=new d1i(this.a,new Xig(this));e=new K2e(new Zig,this.a);b=RBe(TBe(SBe(new VBe,this.a),e));i=vCe(ACe(zCe(wCe(xCe(CCe(new DCe,a2j),Wck),(DYd(),'The configuration of the JPA subsystem.')),o2j,b),b1i(d)));return i};C3c(3574,1676,tzj,Vig);_.dk=function(){return false};C3c(3575,1,{},Xig);_.Ik=function(a){Fig(this.a.b,(this.a.a.c,a))};C3c(3576,1,{},Zig);_.dl=function(){var a;a=Evf();i8i(M7i(a),SHj,lFj);return a};C3c(3582,1,lzj);_.ud=function(){qHd(this.b,mjg(this.a.a))};var FLb=kOd(3568),BLb=kOd(3569),CLb=kOd(3570),JLb=kOd(3573),GLb=kOd(3574),HLb=kOd(3575),ILb=kOd(3576);Zzj(np)(55);